import { type RuntimeModelField, type RuntimeSearchField } from '@oinone/kunlun-engine';
import { type WidgetComponent } from '@oinone/kunlun-vue-widget';
import { FormFieldWidget } from '../../basic';
export declare abstract class SearchRangeFieldWidget<Value = unknown, Field extends RuntimeModelField & RuntimeSearchField = RuntimeModelField & RuntimeSearchField> extends FormFieldWidget<Value, Field> {
    protected abstract getInitializeComponent(): WidgetComponent;
    initialize(props: any): this;
    protected get startPlaceholder(): string | null | undefined;
    protected get endPlaceholder(): string | null | undefined;
    protected get operator(): string | undefined;
    protected get startDefaultValue(): any;
    protected get endDefaultValue(): any;
}
